export default {
  GET:         'SERVER:USER_GET',
  GET_SUCCESS: 'USER_GET_SUCCESS',
  GET_FAILURE: 'USER_GET_FAILURE',

  REMOVE:         'SERVER:USER_REMOVE',
  REMOVE_SUCCESS: 'USER_REMOVE_SUCCESS',
  REMOVE_FAILURE: 'USER_REMOVE_FAILURE',

  GET_ID:         'SERVER:USER_GET_ID',
  GET_ID_SUCCESS: 'USER_GET_ID_SUCCESS',
  GET_ID_FAILURE: 'USER_GET_ID_FAILURE',

  EDIT: 'USER_EDIT',
  SET_FILTER: 'USER_SET_FILTER',
  RESET_FILTER: 'USER_RESET_FILTER',
  VALIDATION: 'USER_VALIDATION',

  UPDATE:         'SERVER:USER_UPDATE',
  UPDATE_SUCCESS: 'USER_UPDATE_SUCCESS',
  UPDATE_FAILURE: 'USER_UPDATE_FAILURE',

  CREATE:         'SERVER:USER_CREATE',
  CREATE_SUCCESS: 'USER_CREATE_SUCCESS',
  CREATE_FAILURE: 'USER_CREATE_FAILURE',

  USER_SET_IS_EDIT: 'USER_SET_IS_EDIT',
  
  USER_SEARCH_SELECT: 'USER_SEARCH_SELECT',
  USER_SEARCH_SELECT_RESET: 'USER_SEARCH_SELECT_RESET',
  UPDATE_USER_BY_SOCKET: 'UPDATE_USER_BY_SOCKET',

  USER_LOGIN_AS_ANOTHER_USER: 'SERVER:USER_LOGIN_AS_ANOTHER_USER',
}
